Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.knipp.rritoolkit.message
Class AbstractMessageVisitor

    java.lang.Object
      de.knipp.rritoolkit.message.AbstractMessageVisitor

All Implemented Interfaces:
  MessageVisitor

    public abstract class AbstractMessageVisitor

extends java.lang.Object
implements MessageVisitor

abstract implementation of `MessageVisitor` with all methods empty

Version:
  $Revision: 15116 $
Author:
  Klaus Malorny

Constructor Summary
`AbstractMessageVisitor()`

Method Summary
`void` | `visit(AuthInfo2DeleteMessage msg)` called by an AuthInfo2Delete message
`void` | `visit(AuthInfo2NotifyMessage msg)` called by an AuthInfo2Notify message
`void` | `visit(AuthInfoExpireMessage msg)` called by an AuthInfoExpire message
`void` | `visit(ChangeProvAuthInfoMessage msg)` called by a ChangeProvAuthInfo message
`void` | `visit(DeleteLegalMessage msg)` called by a DeleteLegal message
`void` | `visit(DomainDeleteMessage msg)` called by a DomainDelete message
`void` | `visit(DomainExpireMessage msg)` called by a DomainExpire message
`void` | `visit(DomainExpireWarningMessage msg)` called by a DomainExpireWarning message

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractMessageVisitor

    public AbstractMessageVisitor()

Method Detail

### visit

    public void visit(ChangeProvAuthInfoMessage msg)

  called by a ChangeProvAuthInfo message

  Specified by:
    `visit` in interface `MessageVisitor`
  Parameters:
    `msg` - the message

### visit

    public void visit(DomainExpireMessage msg)

  called by a DomainExpire message

  Specified by:
    `visit` in interface `MessageVisitor`
  Parameters:
    `msg` - the message

### visit

    public void visit(DomainExpireWarningMessage msg)

  called by a DomainExpireWarning message

  Specified by:
    `visit` in interface `MessageVisitor`
  Parameters:
    `msg` - the message

### visit

    public void visit(AuthInfoExpireMessage msg)

  called by an AuthInfoExpire message

  Specified by:
    `visit` in interface `MessageVisitor`
  Parameters:
    `msg` - the message

### visit

    public void visit(AuthInfo2NotifyMessage msg)

  called by an AuthInfo2Notify message

  Specified by:
    `visit` in interface `MessageVisitor`
  Parameters:
    `msg` - the message

### visit

    public void visit(DeleteLegalMessage msg)

  called by a DeleteLegal message

  Specified by:
    `visit` in interface `MessageVisitor`
  Parameters:
    `msg` - the message

### visit

    public void visit(DomainDeleteMessage msg)

  called by a DomainDelete message

  Specified by:
    `visit` in interface `MessageVisitor`
  Parameters:
    `msg` - the message

### visit

    public void visit(AuthInfo2DeleteMessage msg)

  called by an AuthInfo2Delete message

  Specified by:
    `visit` in interface `MessageVisitor`
  Parameters:
    `msg` - the message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Knipp Medien und Kommunikation GmbH